MS05-050: Vulnerability in DirectShow Could Allow Remote Code Execution (904706)

High Nessus Plugin ID 20003


A vulnerability in DirectShow could allow remote code execution.


The remote host contains a version of DirectX that is vulnerable to a remote code execution flaw.

To exploit this flaw, an attacker would need to send a specially malformed .avi file to a user on the remote host and have him open it.


Microsoft has released a set of patches for Windows 2000, XP and 2003.

See Also

Plugin Details

Severity: High

ID: 20003

File Name: smb_nt_ms05-050.nasl

Version: $Revision: 1.36 $

Type: local

Agent: windows

Published: 2005/10/11

Modified: 2017/08/09

Dependencies: 13855, 57033

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 6.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows, cpe:/a:microsoft:directx

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2005/10/11

Vulnerability Publication Date: 2005/10/11

Reference Information

CVE: CVE-2005-2128

BID: 15063

OSVDB: 18822

MSFT: MS05-050

CERT: 995220

MSKB: 904706